.osa-dir-wrap {
    margin: 30px auto;
    background: #ffffff;
    padding: 15px;
    border-radius: 15px;
}

.osa-dir-title{
  text-align:center;
  font-size:32px;
  margin-bottom:10px;
  color:#19353a;
  font-weight:700;
}

.osa-dir-desc{
  text-align:center;
  color:#6b7c80;
  margin-bottom:35px;
}

.osa-dir-table{
  display:grid;
  grid-template-columns:repeat(auto-fill,minmax(300px,1fr));
  gap:18px;
}

.osa-dir-row{
  display:flex;
  justify-content:space-between;
  align-items:center;
  background:#e8f3f5;
  padding:12px;
  border-radius:10px;
}


.osa-dir-name a {
    font-size: 15px;
    font-weight: 600;
    color: #226b79;
    text-decoration: none;
}

.osa-dir-name a:hover{
  color:#1f9ca7;
}

.osa-dir-count{
  font-size:13px;
  color:#16757d;
  font-weight:500;
}

.osa-dir-total{
  text-align:center;
  margin-top:30px;
  font-weight:600;
  color:#6b7c80;
}

.osa-search-input{
  width:100%;
  padding:14px 18px;
  border-radius:12px;
  border:1px solid #d9e3e5;
  margin-bottom:25px;
  font-size:16px;
}

.osa-search-input:focus{
  outline:none;
  border-color:#1f9ca7;
}

.osa-breadcrumb{
  text-align:right;
  margin-bottom:15px;
  font-size:14px;
  color:#6b7c80;
}

.osa-breadcrumb a{
  color:#1f9ca7;
  text-decoration:none;
  font-weight:600;
}

.osa-breadcrumb .sep{
  margin:0 6px;
  color:#9aaeb3;
}


.osa-albums-label {
    border-radius: 7px;
    padding: 3px 8px;
    font-size: 11px;
    background: #75b7c1;
    color: #ffffff;
    font-weight: 500;
    margin-left: 5px;
}

.osa-artist-name{
    font-weight:700;
}





/* ====== توحيد البحث والزر ====== */

.osa-search-bar{
  display:flex;
  align-items:stretch;     /* نفس الارتفاع */
  direction:rtl;           /* زر يمين */
  gap:10px;
  margin-bottom:30px;
}

.osa-search-btn {
    flex: 0 0 auto;
    padding: 5px 8px 6px 8px;
    height: 40px;
    border: none;
    border-radius: 10px;
    background: #99c0c6;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    font-weight: 600;
}

.osa-search-input {
    flex: 1;
    height: 40px;
    border: 1px solid #e1d7c7;
    border-radius: 10px;
    padding: 0 20px;
    font-size: 16px;
    outline: none;
    background: #f2f2f2;
    color: #716553;
}